ORG.NVMEXPRESS.STAF(5)

NAME
org.nvmexpress.staf - DBus interface

METHODS

list_controllers  (IN  b      detailed,
                   OUT aa{ss} controller_list);
get_log_pages     (IN  s      transport,
                   IN  s      traddr,
                   IN  s      trsvcid,
                   IN  s      subsysnqn,
                   IN  s      host_traddr,
                   IN  s      host_iface,
                   IN  s      host_nqn,
                   OUT aa{ss} log_pages);
get_all_log_pages (IN  b      detailed,
                   OUT s      log_pages_json);

SIGNALS

    log_pages_changed (s transport,
                       s traddr,
                       s trsvcid,
                       s subsysnqn,
                       s host_traddr,
                       s host_iface,
                       s host_nqn,
                       s device);
    dc_removed        ();

DESCRIPTION

METHOD DETAILS

  The list_controllers() method

    list_controllers (IN  b      detailed,
                      OUT aa{ss} controller_list);

IN b detailed:

OUT aa{ss} controller_list:

  The get_log_pages() method

    get_log_pages (IN  s      transport,
                   IN  s      traddr,
                   IN  s      trsvcid,
                   IN  s      subsysnqn,
                   IN  s      host_traddr,
                   IN  s      host_iface,
                   IN  s      host_nqn,
                   OUT aa{ss} log_pages);

IN s transport:

IN s traddr:

IN s trsvcid:

IN s subsysnqn:

IN s host_traddr:

IN s host_iface:

IN s host_nqn:

OUT aa{ss} log_pages:

  The get_all_log_pages() method

    get_all_log_pages (IN  b detailed,
                       OUT s log_pages_json);

IN b detailed:

OUT s log_pages_json:

SIGNAL DETAILS

  The log_pages_changed" signal"

    log_pages_changed (s transport,
                       s traddr,
                       s trsvcid,
                       s subsysnqn,
                       s host_traddr,
                       s host_iface,
                       s host_nqn,
                       s device);

s transport:

s traddr:

s trsvcid:

s subsysnqn:

s host_traddr:

s host_iface:

s host_nqn:

s device:

  The dc_removed" signal"

    dc_removed ();